;
;
;* Register/Bit Definitions for the AT90S1200
;
;
;

;***** I/O Register Definitions, followed by their bit definitions

#define	SREG	0x3f		// Status Register
#define		I	 7
#define		T	 6
#define		H	 5
#define		S	 4
#define		V	 3
#define		N	 2
#define		Z	 1
#define		C	 0

#define	GIMSK	0x3b		// General Interrupt Control Mask
#define		INT0	 6

#define	TIMSK	0x39		// Timer interrupt enable
#define		TOIE0	 1

#define	TIFR	0x38		// Timer Overflow Flag
#define		TOV0	 1

#define	MCUCR	0x35		// MCU Control (Sleep mode, Ext Interrupt Mode)
#define		SE	 5	// Sleep Enable
#define		SM	 4	// Sleep Mode 0  idle, 1  power down
#define		ISC01	 1
#define		ISC00	 0

#define	TCCR0 0x33		// Timer Control Register
#define		CS02	2
#define		CS01	1
#define		CS00	0
#define		STOP	 0x0
#define		CLK	 0x1
#define		CLK8	 0x2
#define		CLK64	 0x3
#define		CLK256	 0x4
#define		CLK1024  0x5
#define		T0FALL	 0x6
#define		T0RISE	 0x7

#define	TCNT0	0x32		// Timer Counter

#define	WDTCR	0x21		// Watchdog Control Register
#define		WDE	 3
#define		WDP2	 2
#define		WDP1	 1
#define		WDP0	 0

#define	EEAR	0x1e		// EEPROM Address
#define	EEDR	0x1d		// EEPROM Data
#define	EECR	0x1c		// EEPROM Control
#define		EEWE	 1
#define		EERE	 0

#define	PORTB	0x18
#define	DDRB	0x17
#define	PINB	0x16

#define	PORTD	0x12
#define	DDRD	0x11
#define	PIND	0x10

#define	ACSR	0x08		// Analog Comparator Control
#define		ACD	 7
#define		ACO	 5
#define		ACI	 4
#define		ACIE	 3
#define		ACIS1	 1
#define		ACIS0	 0


#define	PB7	7
#define	PB6	6
#define	PB5	5
#define	PB4	4
#define	PB3	3
#define	PB2	2
#define	PB1	1
#define	PB0	0

#define	DDB7	7
#define	DDB6	6
#define	DDB5	5
#define	DDB4	4
#define	DDB3	3
#define	DDB2	2
#define	DDB1	1
#define	DDB0	0

#define	PINB7	7
#define	PINB6	6
#define	PINB5	5
#define	PINB4	4
#define	PINB3	3
#define	PINB2	2
#define	PINB1	1
#define	PINB0	0

#define	PD6	6
#define	PD5	5
#define	PD4	4
#define	PD3	3
#define	PD2	2
#define	PD1	1
#define	PD0	0

#define	DDD6	6
#define	DDD5	5
#define	DDD4	4
#define	DDD3	3
#define	DDD2	2
#define	DDD1	1
#define	DDD0	0

#define	PIND6	6
#define	PIND5	5
#define	PIND4	4
#define	PIND3	3
#define	PIND2	2
#define	PIND1	1
#define	PIND0	0

#define	INT0addr 0x01	//External Interrupt0 Vector Address
#define	OVF0addr 0x02	//Overflow0 Interrupt Vector Address
#define	ACIaddr  0x03	//Analog Comparator Interrupt Vector Address

#define	Zh	r31
#define	Zl	r30
#define	Yh	r29
#define	Yl	r28
#define	Xh	r27
#define	Xl	r26
#define	Wh	r25
#define Wl      R24

